Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfHorizontalPosType

    java.lang.Object
      java.lang.Enum<OdfHorizontalPosType>
          org.odftoolkit.odfdom.dom.type.style.OdfHorizontalPosType

All Implemented Interfaces:
  Serializable, Comparable<OdfHorizontalPosType>

    public enum OdfHorizontalPosType

extends Enum<OdfHorizontalPosType>

DOM implementation of OpenDocument attribute style:horizontal-pos.

Enum Constant Summary
`CENTER`
`FROM_INSIDE`
`FROM_LEFT`
`INSIDE`
`LEFT`
`OUTSIDE`
`RIGHT`

Method Summary
`static OdfHorizontalPosType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfHorizontalPosType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfHorizontalPosType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfHorizontalPosType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OUTSIDE

    public static final OdfHorizontalPosType OUTSIDE

### RIGHT

    public static final OdfHorizontalPosType RIGHT

### LEFT

    public static final OdfHorizontalPosType LEFT

### INSIDE

    public static final OdfHorizontalPosType INSIDE

### FROM_LEFT

    public static final OdfHorizontalPosType FROM_LEFT

### FROM_INSIDE

    public static final OdfHorizontalPosType FROM_INSIDE

### CENTER

    public static final OdfHorizontalPosType CENTER

Method Detail

### values

    public static OdfHorizontalPosType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfHorizontalPosType c : OdfHorizontalPosType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfHorizontalPosType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfHorizontalPosType>`
  Returns:
    return the name of OdfHorizontalPosType

### toString

    public static String toString(OdfHorizontalPosType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfHorizontalPosType, see style:horizontal-pos
  Returns:
    return the name of OdfHorizontalPosType

### enumValueOf

    public static OdfHorizontalPosType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfHorizontalPosType
  Returns:
    return the constant of OdfHorizontalPosType, see style:horizontal-pos

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.